from pathlib import Path
import json
import pickle
from scipy.interpolate import InterpolatedUnivariateSpline
import numpy as np


# Create a Path object
folder = Path('data_splines/')

# List all files
files = [f.name for f in folder.iterdir() if f.is_file()]

print(files)


# Load spline
#Load dictionary with extrapolation attributes
with open('./ext_dict.json', 'r') as f:
    ext_dict=json.load(f)
for file in files:
    new_file=file.replace('json','pkl')

    # Load the saved points
    with open('data_splines/'+file, 'r') as f:
        data = json.load(f)

    x = np.array(data['x'])
    y = np.array(data['y'])

    # Rebuild the spline
    spline = InterpolatedUnivariateSpline(x, y)
    spline.ext=ext_dict[new_file]
    with open('./'+new_file, 'wb') as f:
        pickle.dump(spline, f)